﻿@{
    ViewBag.Title = "Home Page";
    Layout = "~/Views/Shared/_Layout.cshtml"; 
}

<div class="reviews-section">

    <div class="col-md-10 col-md-offset-1">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <h2 id="title" class="panel-title"></h2>
                </div>
                <div class="panel-body">
                    <div class="col-md-6">
                        
                        <img id="poster" width="100%" src="~/Content/images/logo.png" alt="No hay portada"/>
                        <!-- <iframe id="trailer" frameborder="0" allowfullscreen width="100%" height="250px" src="https://www.youtube.com/watch?v=Qw8UiBzA2iE"></iframe> -->
                        <br><br>
                        
                        <a href="/maquetas/criticas.html" class="btn btn-default pull-right">
                            Calificar		
                        </a>

                        <div class="clearfix"></div><br>
                        <h4>Critica:</h4>
                        <br>
                        <ul>
                            <li>
                                "'El padrino' son palabras mayores. Las dos primeras partes están entre las 10 mejores películas de la historia del cine."
                                <b>Carlos Boyero</b>
                            </li>
                            <br>
                            <li>
                                "Coppola inventa una nueva mirada para el cine y amplía los horizontes de una industria que pedía a gritos savia nueva."
                                <b>Luis Martínez</b>
                            </li>
                        </ul>
                        
                    </div>
                    <div class="col-md-6">

                        <h4>Sinopsis:</h4>
                        <p id="synopsis"></p>

                        <hr>

                        <h4>Calificación</h4>        
                        <table class="table">
                            <thead>
                                <tr>
                                    <th scope="col">Fuente</th>
                                    <th scope="col">☆</th> 
                                </tr>
                            </thead>
                            <tbody id="ratings"> 
                            </tbody>
                        </table>

                        <hr>
                        
                        <h4>Género</h4>
                        <p id="genres"></p> 

                        <hr>

                        <h4>Director</h4>
                        <p id="directors"></p>
                        
                        <hr>

                        <h4>Reparto</h4>
                        <p id="actors"></p>

                        <br>

                        <table class="table">
                            <tbody>
                                <tr>
                                    <th>Clasificación</th>
                                    <td id="rated"></td>
                                </tr> 
                                <tr>
                                    <th>Fecha de estreno</th>
                                    <td id="realease"></td>
                                </tr> 
                                <tr>
                                    <th>Duración</th>
                                    <td id="duration"></td>
                                </tr> 
                                <tr>
                                    <th>Idiomas</th>
                                    <td id="languages"></td>
                                </tr> 
                                <tr>
                                    <th>País</th>
                                    <td id="country"></td>
                                </tr> 
                                <tr>
                                    <th>Productora</th>
                                    <td id="studio"></td>
                                </tr> 
                                <tr>
                                    <th>Premios</th>
                                    <td id="prizes"></td>
                                </tr>                                     
                            </tbody>
                        </table> 


                        <br>
                        <h4>Disponible en:</h4>
                        <br>
                        <img src="assets/images/netflix.png" width="45px" alt="">
                        <br>
                        <a href="/" class="btn btn-danger btn-sm pull-right">
                            Retornar
                        </a>	
                    </div>
                </div>
            </div>
        
    </div>
    <div class="clearfix"></div>
</div>

@section scripts {

<script>

    'use_strict';
    
    $(function () {

            var Title = {};

            Title = (function () {
                
                var events = function () {

                    $("#next-title").on('click', function(){
                         
                    });
 
                     
                };
                var run = function () {
                    Title.show();    
                };

                return {
                    init: function () {
                        events();
                        run();
                    },
 
                    show: function () {
 
                        $.ajax({
                            type: "get",
                            url: 'http://localhost:8080/recopelas-ws/api/detail/@ViewData["IdTitle"]',
                            success: function (data) {
                                
                                console.log(data);

                                $("#title").text(data.name);
                                $("#synopsis").text(data.synopsis);

                                $.each(data.ratings, function(index, item){
                                     $('#ratings').append(
                                         `  <tr>
                                                <td>${item.source}</td>
                                                <td>${item.value}</td>
                                            </tr>`
                                     );
                                }); 
                                $("#poster").attr('src', data.posterPath);
                                $("#genres").text(data.genres.map(function(val) { return val.name; }).join(', '));
                                $("#directors").text(data.directors.map(function(val) { return val.names; }).join(', '));
                                $("#actors").text(data.actors.map(function(val) { return val.names; }).join(', '));
                                $("#rated").text(data.rated);
                                $("#realease").text(data.realease);
                                $("#duration").text(data.duration);
                                $("#prizes").text(data.prizes);
                                $("#studio").text(data.studio);
                                $("#languages").text(data.languages.map(function(val) { return val.name; }).join(', '));

                            },
                            error: function (data) { console.log(data) }
                        });

                    }, 

                }

            })();

            Title.init();

    });
    
</script>

}